<div fxFlex class="bg-white" style="height: 100%">
  <div class="content-grid-container">
    <div
      *ngIf="this.prophaneJobState.jobUnavailable"
      class="horizontally-centered-item"
    >
      <div
        style="
          min-height: 0;
          display: flex;
          flex-direction: column;
          align-items: center;
        "
      >
        <div class="jobCards responsive-job-card">
          <div class="card min-w-600" style="min-height: 0">
            <div class="card-header">
              <h5>{{ this.prophaneJobState.noJobCardHeader }}</h5>
            </div>
            <div class="card-body" style="overflow-y: auto">
              {{ this.prophaneJobState.jobUnavailableMessage }}
              <tr *ngIf="this.prophaneJobState.loading">
                <td colspan="4">
                  <span
                    class="spinner-border spinner-border-sm ml-2 bg-white"
                    role="status"
                    aria-hidden="true"
                  ></span>
                </td>
              </tr>
            </div>
          </div>
        </div>
      </div>
    </div>

    <ng-container *ngIf="!this.prophaneJobState.jobUnavailable">
      <app-job-stepper

        #prophaneJobStepper
        [expertView]="prophaneJobState.expertView"
        [jobLabelData]="stepperAndCardLabels"
        [resetStepper]="resetStepper.asObservable()"
        (currentStepLabel)="setCurrentStep($event)"
      >
      </app-job-stepper>

      <div fxLayout="column wrap" fxLayoutAlign="center">
        <div fxFlex="100%" class="jobCards">
          <div class="card">
            <div class="card-header" style="text-align:left; font-size: 1.5rem; ">
              <h5>
                {{ currentCardHeader }}
                <span
                  class="card-title-button-wrapper"
                  *ngIf="authService.allowExpert()"
                >
                  <mat-slide-toggle color="primary" (change)="onViewChange()"
                    >expert</mat-slide-toggle
                  >
                </span>
              </h5>
            </div>

            <div class="card-body" style="overflow-y: auto">
              <div
                style="
                  display: flex;
                  flex-direction: column;
                  padding-top: 1rem;
                  padding-bottom: 1rem;
                  text-align: left;
                "
              >
                <app-job-input
                  *ngIf="currentCardHeader === 'Input'"
                ></app-job-input>
                <app-job-sample-groups
                  *ngIf="currentCardHeader === 'Sample Grouping'"
                ></app-job-sample-groups>
                <app-job-quantification
                  *ngIf="currentCardHeader === 'Quantification Method'"
                ></app-job-quantification>
                <app-job-taxonomy
                  *ngIf="currentCardHeader === 'Taxonomic Annotation'"
                ></app-job-taxonomy>
                <app-job-function
                  *ngIf="currentCardHeader === 'Functional Annotation'"
                ></app-job-function>
                <app-job-custom-map
                  *ngIf="currentCardHeader === 'Custom Map Annotation'"
                ></app-job-custom-map>
                <app-job-lca
                  *ngIf="currentCardHeader === 'Lowest Common Ancestor'"
                ></app-job-lca>
                <app-job-submit
                  *ngIf="currentCardHeader === 'Summary'"
                ></app-job-submit>
              </div>
            </div>
          </div>
        </div>

        <div
          class="mt-1 min-w-600"
          style="display: flex; justify-content: space-between"
        >
          <button
            mat-button
            (click)="prophaneJobState.saveForm()"
            class="float-left"
          >
            save input
          </button>
          <div>
            <button
            mat-button
            *ngIf="currentCardHeader !== 'Input'"
            (click)="prevStep()"
            class="float-right"
          >
            &#171; back
          </button>
            <button
              mat-button
              *ngIf="currentCardHeader !== 'Summary'"
              (click)="nextStep()"
              class="float-right"
            >
              next &#187;
            </button>
          </div>
        </div>
      </div>
    </ng-container>
  </div>
</div>
